import React from 'react';
import { BaseProps } from '../interface';
export interface IPros extends BaseProps {
    children?: React.ReactNode;
    visible: boolean;
    /** 挂载Dom节点 */
    container?: HTMLElement | false;
    onPortalRendered?: () => void;
}
interface IState {
    renderable: boolean;
}
export default class Portal extends React.Component<IPros, IState> {
    static defaultProps: {
        visible: boolean;
        container: HTMLElement;
    };
    state: {
        renderable: boolean;
    };
    constructor(props: IPros);
    componentDidMount(): void;
    componentDidUpdate(prevProps: IPros): void;
    mountHook: () => void;
    renderContent: () => JSX.Element;
    render(): JSX.Element | null;
}
export {};
