"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var panelType_1 = __importDefault(require("./panelType"));
var dateBody_1 = __importDefault(require("./dateBody"));
var monthBody_1 = __importDefault(require("./monthBody"));
var yearBody_1 = __importDefault(require("./yearBody"));
var timeBody_1 = __importDefault(require("./timeBody"));
function PanelBody(props) {
    var type = props.type, others = __rest(props, ["type"]);
    var Body = dateBody_1.default;
    switch (type) {
        case panelType_1.default.month:
            Body = monthBody_1.default;
            break;
        case panelType_1.default.year:
            Body = yearBody_1.default;
            break;
        case panelType_1.default.time:
            Body = timeBody_1.default;
            break;
        default:
            Body = dateBody_1.default;
    }
    return react_1.default.createElement(Body, __assign({}, others));
}
exports.default = PanelBody;
//# sourceMappingURL=body.js.map