"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var object_omit_1 = __importDefault(require("object.omit"));
var Spinner_1 = __importDefault(require("./Spinner"));
require("./style/index.scss");
// TODO: fix type any
var defaultConfig = {
    getLoadingIcon: function (props) { return react_1.default.createElement(Spinner_1.default, __assign({}, object_omit_1.default(props, ['loading']))); },
};
var defaultConfigKeys = Object.keys(defaultConfig);
var setDefaultConfig = function (config) {
    if (config === void 0) { config = {}; }
    defaultConfigKeys.forEach(function (key) {
        if (key in config) {
            defaultConfig[key] = config[key];
        }
    });
};
var Loading = /** @class */ (function (_super) {
    __extends(Loading, _super);
    function Loading() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Loading.prototype.render = function () {
        var _a = this.props, className = _a.className, loading = _a.loading;
        var classNames = classnames_1.default(className, {
            'oa-cuk-icon-loading': loading,
        });
        return defaultConfig.getLoadingIcon({ className: classNames, loading: loading });
    };
    Loading.defaultProps = {
        loading: true,
    };
    Loading.setDefaultConfig = setDefaultConfig;
    return Loading;
}(react_1.Component));
exports.default = Loading;
//# sourceMappingURL=Loading.js.map