import { Component, ReactNode } from 'react';
import { menuMode } from './Menu';
export interface MenuItemProps {
    children?: ReactNode;
    item?: any;
    icon?: ReactNode;
    active?: boolean;
    onSelect?: (key: any) => void;
    className?: string;
    style?: object;
    mode?: menuMode;
    outer?: boolean;
}
declare type MenuItemStates = {
    hover: boolean;
};
declare class MenuItem extends Component<MenuItemProps, MenuItemStates> {
    static defaultProps: {
        onSelect: () => null;
        className: string;
        style: {};
    };
    constructor(props: MenuItemProps);
    onMouseEnter: () => void;
    onMouseLeave: () => void;
    render(): JSX.Element;
}
export default MenuItem;
