import React from 'react';
import { BaseProps } from '../_base/interface';
export interface TabObj {
    label: string | React.ReactNode;
    value?: any;
    disabled?: boolean;
    key?: string;
    title?: string;
}
export interface TabProps extends TabObj, BaseProps {
    isSelect: boolean;
    onClick?: (e: React.MouseEvent) => any;
}
declare const Tab: ({ prefixCls, label, disabled, isSelect, onClick, title }: TabProps) => JSX.Element;
export default Tab;
