import React from 'react';
import { TabObj } from './Tab';
export interface TabMeasurements {
    containerWidth: number;
    showMoreBtnWidth: number;
    hiddenTabWidths: number[];
}
export interface TabMeasurerProps {
    prefixCls: string;
    selected: number;
    tabs: TabObj[];
    handleMeasurement(measurements: TabMeasurements): void;
}
export default class TabMeasurer extends React.PureComponent<TabMeasurerProps, never> {
    private containerNode;
    private animationFrame;
    componentDidMount(): void;
    componentDidUpdate(prevProps: TabMeasurerProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private handleMeasurement;
}
