"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var popup_1 = __importDefault(require("../_base/popup"));
var helper_1 = require("../_base/helper");
var contentWrap_1 = __importDefault(require("./contentWrap"));
require("./style/index.scss");
function Tooltip(props) {
    var children = props.children, content = props.content, theme = props.theme, defaultVisible = props.defaultVisible, _a = props.placement, placement = _a === void 0 ? 'top' : _a, others = __rest(props, ["children", "content", "theme", "defaultVisible", "placement"]);
    var renderContent = function () { return react_1.default.createElement(contentWrap_1.default, { theme: theme }, content); };
    return (react_1.default.createElement(popup_1.default, __assign({}, others, { placement: placement, offset: 14, motionClassName: helper_1.getClassName('tooltip'), motionDuration: 200, contentVisible: defaultVisible, content: renderContent() }), children));
}
exports.default = Tooltip;
//# sourceMappingURL=index.js.map