export declare type TCalculateParams = {
    triggerRect: DOMRect;
    contentRect: DOMRect;
    offsetX: number;
    offsetY: number;
    checkOverflow?: boolean;
};
declare type TCalculateResult = {
    left: number;
    top: number;
    placement: string;
};
export declare function calculateTop(align: string, params: TCalculateParams): TCalculateResult;
export declare function calculateRight(align: string, params: TCalculateParams): TCalculateResult;
export declare function calculateBottom(align: string, params: TCalculateParams): TCalculateResult;
export declare function calculateLeft(align: string, params: TCalculateParams): TCalculateResult;
export {};
