import React from 'react';
import { RenderEmptyHandler } from './renderEmpty';
export { RenderEmptyHandler };
export interface Locale {
    locale: string;
}
export interface ConfigConsumerProps {
    getPrefixCls: (suffixCls: string, customizePrefixCls?: string) => string;
    getPopupContainer?: (triggerNode: HTMLElement) => HTMLElement;
    locale?: Locale;
    renderEmpty: RenderEmptyHandler;
    direction?: 'ltr' | 'rtl';
}
export declare const getPrefixCls: (suffixCls: string, customizePrefixCls?: string | undefined) => string;
export declare const ConfigContext: React.Context<ConfigConsumerProps>;
export declare const ConfigConsumer: React.Consumer<ConfigConsumerProps>;
