"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var data = {
    zh: {
        dateFormat: {
            year: 'YYYY年',
            month: 'MM月',
            date: 'DD',
        },
        text: {
            today: '今天',
            now: '此刻',
            weekDays: ['一', '二', '三', '四', '五', '六', '日'],
            month: [
                '一月',
                '二月',
                '三月',
                '四月',
                '五月',
                '六月',
                '七月',
                '八月',
                '九月',
                '十月',
                '十一月',
                '十二月',
            ],
            selectTime: '选择时间',
            selectDate: '选择日期',
            ok: '确定',
            hour: '时',
            minute: '分',
            second: '秒',
        },
        placeholder: {
            time: '请选择时间',
            date: '请选择日期',
            dateTime: '请选择日期',
            month: '请选择月份',
        },
    },
    en: {
        dateFormat: {
            year: 'YYYY',
            month: 'MMM',
            date: 'DD',
        },
        text: {
            today: 'Today',
            now: 'Now',
            weekDays: ['Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa', 'Su'],
            month: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
            selectTime: 'Select Time',
            selectDate: 'Select Date',
            ok: 'Ok',
            hour: 'Hour',
            minute: 'Minute',
            second: 'Second',
        },
        placeholder: {
            time: 'Please select time',
            date: 'Please select date',
            dateTime: 'Please select date',
            month: 'Please select month',
        },
    },
};
exports.default = data;
//# sourceMappingURL=I18n.js.map