import React from 'react';
import { LazyLoadContainerProps } from './interfaces';
export default class LazyLoadContainer extends React.Component<LazyLoadContainerProps> {
    container: React.RefObject<HTMLDivElement>;
    constructor(props: LazyLoadContainerProps);
    static defaultProps: {
        offset: number;
        onScrollBottom: () => void;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    scrollEventRegisterHandler: (isAdd: boolean) => void;
    onScroll: () => void;
    renderLoading: () => {};
    render(): JSX.Element;
}
