import React from 'react';
import { TriggerProps as CommonTriggerProps, Option } from './interfaces';
export interface TriggerProps extends CommonTriggerProps {
    onClick?: (e: React.MouseEvent<HTMLDivElement>) => any;
    onMouseEnter?: (e: React.MouseEvent<HTMLDivElement>) => any;
    onMouseLeave?: (e: React.MouseEvent<HTMLDivElement>) => any;
    labelKey?: string;
    selected?: Option[];
    disabled?: boolean;
}
declare const Trigger: {
    (props: TriggerProps): JSX.Element;
    defaultProps: {
        triggerText: string;
    };
};
export default Trigger;
