"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_icon_base_1 = __importDefault(require("react-icon-base"));
var classnames_1 = __importDefault(require("classnames"));
var iconsMap_1 = __importDefault(require("./mapping/iconsMap"));
var BaseIcon = function (props) {
    var _a;
    var iconName = props.iconName, className = props.className, other = __rest(props, ["iconName", "className"]);
    var classNames = classnames_1.default((_a = {
            'oa-cuk-icon': true
        },
        _a[className || ''] = className || '',
        _a));
    return (react_1.default.createElement(react_icon_base_1.default, __assign({ viewBox: iconsMap_1.default[iconName].viewBox, className: "oa-cuk-icon-" + iconName.toLowerCase() + " " + classNames }, other), iconsMap_1.default[iconName].svg));
};
exports.default = BaseIcon;
//# sourceMappingURL=index.js.map