import React from 'react';
import Input, { IProps as InputProps } from './Input';
export interface IProps {
    loading?: boolean;
    onSearch?: (value?: string) => void;
}
export default class Search extends React.Component<IProps & InputProps> {
    input: React.RefObject<Input>;
    handleSearchClick: () => void;
    handlePressEnter: (value: string) => void;
    search: (value?: string | undefined) => void;
    render(): JSX.Element;
}
