"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var Menu_1 = require("./Menu");
var MenuItem = /** @class */ (function (_super) {
    __extends(MenuItem, _super);
    function MenuItem(props) {
        var _this = _super.call(this, props) || this;
        _this.onMouseEnter = function () {
            return _this.setState({
                hover: true,
            });
        };
        _this.onMouseLeave = function () {
            return _this.setState({
                hover: false,
            });
        };
        _this.state = {
            hover: false,
        };
        return _this;
    }
    MenuItem.prototype.render = function () {
        var _a = this.props, children = _a.children, active = _a.active, onSelect = _a.onSelect, className = _a.className, style = _a.style, icon = _a.icon, mode = _a.mode, outer = _a.outer;
        var hover = this.state.hover;
        var classNames = classnames_1.default({
            'oa-cuk-menu-item': true,
            'oa-cuk-menu-item-active': active,
            'oa-cuk-menu-item-hover': hover,
            'oa-cuk-menu-item-outer': outer,
            className: className,
        });
        var showIconOnly = mode === Menu_1.INLINE_COLLAPSED_MODE && outer;
        return (react_1.default.createElement("li", { className: classNames, onClick: onSelect, onMouseEnter: this.onMouseEnter, onMouseLeave: this.onMouseLeave, style: style },
            icon && react_1.default.createElement("span", { className: 'oa-cuk-menu-icon' }, icon),
            !showIconOnly && children));
    };
    MenuItem.defaultProps = {
        onSelect: function () { return null; },
        className: '',
        style: {},
    };
    return MenuItem;
}(react_1.Component));
exports.default = MenuItem;
//# sourceMappingURL=MenuItem.js.map