"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var helper_1 = require("../_base/helper");
var InfoCircle_1 = __importDefault(require("../icons/InfoCircle"));
var CheckCircle_1 = __importDefault(require("../icons/CheckCircle"));
var ExclamationCircle_1 = __importDefault(require("../icons/ExclamationCircle"));
var CloseCircle_1 = __importDefault(require("../icons/CloseCircle"));
var QuestionCircle_1 = __importDefault(require("../icons/QuestionCircle"));
var modal_1 = __importDefault(require("./modal"));
var confirm_1 = __importStar(require("./confirm"));
helper_1.reactVersionLimit();
exports.colors = {
    info: '#0066ff',
    success: '#4dc600',
    error: '#f81d22',
    warning: '#f5a623',
};
modal_1.default.open = function open(_a) {
    var _b = _a.whenOkDestroy, whenOkDestroy = _b === void 0 ? false : _b, config = __rest(_a, ["whenOkDestroy"]);
    return confirm_1.default(__assign({}, config), whenOkDestroy);
};
modal_1.default.confirm = function _confirm(_a) {
    var _b = _a.whenOkDestroy, whenOkDestroy = _b === void 0 ? false : _b, config = __rest(_a, ["whenOkDestroy"]);
    return confirm_1.default(__assign(__assign({}, config), { icon: react_1.default.createElement(QuestionCircle_1.default, null), iconColor: exports.colors.warning }), whenOkDestroy);
};
modal_1.default.info = function info(_a) {
    var _b = _a.whenOkDestroy, whenOkDestroy = _b === void 0 ? true : _b, config = __rest(_a, ["whenOkDestroy"]);
    return confirm_1.default(__assign(__assign({ okText: '知道了' }, config), { icon: react_1.default.createElement(InfoCircle_1.default, null), iconColor: exports.colors.info, cancelBtnVisible: false }), whenOkDestroy);
};
modal_1.default.success = function info(_a) {
    var _b = _a.whenOkDestroy, whenOkDestroy = _b === void 0 ? true : _b, config = __rest(_a, ["whenOkDestroy"]);
    return confirm_1.default(__assign(__assign({ okText: '知道了' }, config), { icon: react_1.default.createElement(CheckCircle_1.default, null), iconColor: exports.colors.success, cancelBtnVisible: false }), whenOkDestroy);
};
modal_1.default.error = function error(_a) {
    var _b = _a.whenOkDestroy, whenOkDestroy = _b === void 0 ? true : _b, config = __rest(_a, ["whenOkDestroy"]);
    return confirm_1.default(__assign(__assign({ okText: '知道了' }, config), { icon: react_1.default.createElement(CloseCircle_1.default, null), iconColor: exports.colors.error, cancelBtnVisible: false }), whenOkDestroy);
};
modal_1.default.warning = function warning(_a) {
    var _b = _a.whenOkDestroy, whenOkDestroy = _b === void 0 ? true : _b, config = __rest(_a, ["whenOkDestroy"]);
    return confirm_1.default(__assign(__assign({ okText: '知道了' }, config), { icon: react_1.default.createElement(ExclamationCircle_1.default, null), iconColor: exports.colors.warning, cancelBtnVisible: false }), whenOkDestroy);
};
modal_1.default.destroyAll = function destroyAll() {
    while (confirm_1.confirms.length) {
        var close_1 = confirm_1.confirms.pop();
        if (close_1) {
            close_1();
        }
    }
};
exports.default = modal_1.default;
//# sourceMappingURL=index.js.map